# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=rsync
pkgver=3.2.5
pkgrel=1
pkgdesc="A fast and versatile file copying tool for remote and local files"
arch=('x86_64')
url="https://rsync.samba.org"
license=('GPL')
depends=('acl' 'lz4' 'openssl' 'perl' 'popt' 'xxhash' 'zlib' 'zstd')
makedepends=('git' 'python-commonmark')
backup=(etc/rsyncd.conf
    etc/xinetd.d/rsync)
source=(git+https://github.com/WayneD/rsync#tag=001cc050f46d05cb0487359ed5101018da14a5a3
    rsyncd.conf)
sha256sums=(SKIP
    61e6bc4399d8da2670151862b61ebcba94eafef6d0c4859f47a2089ac406f957)

build() {
    cd ${pkgname}

    ${configure}                 \
        --disable-debug          \
        --with-included-popt=no  \
        --with-included-zlib=no

    make
}

package() {
    cd ${pkgname}

    make DESTDIR=${pkgdir} install

    install -Dm0644 ${srcdir}/rsyncd.conf ${pkgdir}/etc/rsyncd.conf

    install -Dm0644 packaging/lsb/rsync.xinetd ${pkgdir}/etc/xinetd.d/rsync

    install -Dm0644 packaging/systemd/rsync.service ${pkgdir}/usr/lib/systemd/system/rsyncd.service
    install -Dm0644 packaging/systemd/rsync.socket ${pkgdir}/usr/lib/systemd/system/rsyncd.socket
    install -Dm0644 packaging/systemd/rsync@.service ${pkgdir}/usr/lib/systemd/system/rsyncd@.service
    install -Dm0755 support/rrsync $pkgdir/usr/lib64/rsync/rrsync

}
